org.apache.xmpbox.type

## Class PDFAFieldType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.PDFAFieldType

    public class PDFAFieldType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `DESCRIPTION`
`static String` `NAME`
`static String` `VALUETYPE`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PDFAFieldType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()`
`String` `getName()`
`String` `getValueType()`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### VALUETYPE

    public static final String VALUETYPE

See Also:
  Constant Field Values

#### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

### Constructor Detail

#### PDFAFieldType

    public PDFAFieldType(XMPMetadata metadata)

### Method Detail

#### getName

    public String getName()

#### getValueType

    public String getValueType()

#### getDescription

    public String getDescription()